package com.qmth.themis.business.enums;

import java.util.Arrays;
import java.util.List;

/**
 * 人脸、活检验证异常
 * 
 * @Description:
 * @Author: xiatian
 * @Date: 2020-07-31
 */
public enum VerifyExceptionEnum {

	FACE_COUNT_ERROR("人脸数量异常", Arrays.asList("D4", "D8")),

	FACE_COMPARE_ERROR("人脸比对异常", Arrays.asList("D6", "D14")),

	EYE_CLOSE_ERROR("闭眼检测异常", Arrays.asList("-1")),

	LIVENESS_ACTION_ERROR("活检动作错误", Arrays.asList("-1")),

	NONE("无异常", Arrays.asList("-1")),

	REALNESS("真实性检测异常", Arrays.asList("D15"));

	private String code;

	private List<String> level;

	private VerifyExceptionEnum(String code, List<String> level) {
		this.code = code;
		this.level = level;
	}

	public String getCode() {
		return code;
	}

	public List<String> getLevel() {
		return level;
	}
}
